org.apache.uima.cas.impl

## Class LowLevelException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.uima.cas.impl.LowLevelException

- All Implemented Interfaces:
    Serializable

      public class LowLevelException
      extends RuntimeException

  Exception class for package org.apache.uima.cas.impl. Automatically generated from message catalog.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACCESS_TYPE_ERROR` Error in low-level CAS APIs: trying to access value FS reference {0} as type "{2}" (code: {1}), but is "{3}".
    `static int` | `ARRAY_INDEX_LENGTH_OUT_OF_RANGE` Error in low-level CAS APIs: array index and or length out of range.
    `static int` | `ARRAY_INDEX_OUT_OF_RANGE` Error in low-level CAS APIs: array index out of range: {0}.
    `static int` | `CREATE_ARRAY_OF_TYPE_ERROR` Error in low-level CAS APIs: can't create array of type "{1}" (code: {0}).
    `static int` | `CREATE_FS_OF_TYPE_ERROR` Error in low-level CAS APIs: can't create FS reference for type code {0}.
    `static int` | `FEAT_DOM_ERROR` Error in low-level CAS APIs: type "{1}" (code: {0}) does not define feature "{3}" (code: {2}).
    `static int` | `FEAT_RAN_ERROR` Error in low-level CAS APIs: feature "{1}" (code: {0}) does not take values of type "{3}" (code: {2}).
    `static int` | `FS_RAN_TYPE_ERROR` Error in low-level CAS APIs: trying to access value of feature "{1}" (code: {0}) as FS reference, but range of feature is "{2}".
    `static int` | `ILLEGAL_ARRAY_LENGTH` Error in low-level CAS APIs: illegal array length specified: {0}.
    `static int` | `INVALID_FEATURE_CODE` Error in low-level CAS APIs: {0} is not a valid feature code.
    `static int` | `INVALID_FS_REF` Error in low-level CAS APIs: attempted heap access with invalid FS reference: {0}.
    `static int` | `INVALID_INDEX_TYPE` Error in low-level CAS APIs: trying to access index for invalid type code: {0}.
    `static int` | `INVALID_TYPE_ARGUMENT` Error in low-level CAS APIs: illegal type code argument: {0}.
    `static int` | `NULL_ARRAY_ACCESS` Error in low-level CAS APIs: attempting to access element {0} of array but array has null value.
    `static int` | `VALUE_NOT_A_TYPE` Error in low-level CAS APIs: attempt to interpret heap value {0} at {1} as type code, but {0} is not a valid type code.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LowLevelException(int error)` Create a new `LowLevelException`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addArgument(String s)` Add an argument to a `LowLevelException` object.
    `int` | `getError()`
    `String` | `getMessage()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INVALID_FS_REF

          public static final int INVALID_FS_REF

      Error in low-level CAS APIs: attempted heap access with invalid FS reference: {0}.
      See Also:
        Constant Field Values

    - #### VALUE_NOT_A_TYPE

          public static final int VALUE_NOT_A_TYPE

      Error in low-level CAS APIs: attempt to interpret heap value {0} at {1} as type code, but {0} is not a valid type code. This is likely caused by a bad FS reference.
      See Also:
        Constant Field Values

    - #### INVALID_FEATURE_CODE

          public static final int INVALID_FEATURE_CODE

      Error in low-level CAS APIs: {0} is not a valid feature code.
      See Also:
        Constant Field Values

    - #### FEAT_DOM_ERROR

          public static final int FEAT_DOM_ERROR

      Error in low-level CAS APIs: type "{1}" (code: {0}) does not define feature "{3}" (code: {2}).
      See Also:
        Constant Field Values

    - #### FEAT_RAN_ERROR

          public static final int FEAT_RAN_ERROR

      Error in low-level CAS APIs: feature "{1}" (code: {0}) does not take values of type "{3}" (code: {2}).
      See Also:
        Constant Field Values

    - #### FS_RAN_TYPE_ERROR

          public static final int FS_RAN_TYPE_ERROR

      Error in low-level CAS APIs: trying to access value of feature "{1}" (code: {0}) as FS reference, but range of feature is "{2}".
      See Also:
        Constant Field Values

    - #### ACCESS_TYPE_ERROR

          public static final int ACCESS_TYPE_ERROR

      Error in low-level CAS APIs: trying to access value FS reference {0} as type "{2}" (code: {1}), but is "{3}".
      See Also:
        Constant Field Values

    - #### ARRAY_INDEX_OUT_OF_RANGE

          public static final int ARRAY_INDEX_OUT_OF_RANGE

      Error in low-level CAS APIs: array index out of range: {0}.
      See Also:
        Constant Field Values

    - #### ARRAY_INDEX_LENGTH_OUT_OF_RANGE

          public static final int ARRAY_INDEX_LENGTH_OUT_OF_RANGE

      Error in low-level CAS APIs: array index and or length out of range. index: {0}, length: {1}.
      See Also:
        Constant Field Values

    - #### CREATE_FS_OF_TYPE_ERROR

          public static final int CREATE_FS_OF_TYPE_ERROR

      Error in low-level CAS APIs: can't create FS reference for type code {0}.
      See Also:
        Constant Field Values

    - #### INVALID_INDEX_TYPE

          public static final int INVALID_INDEX_TYPE

      Error in low-level CAS APIs: trying to access index for invalid type code: {0}.
      See Also:
        Constant Field Values

    - #### CREATE_ARRAY_OF_TYPE_ERROR

          public static final int CREATE_ARRAY_OF_TYPE_ERROR

      Error in low-level CAS APIs: can't create array of type "{1}" (code: {0}). Must be a valid (built-in) array type.
      See Also:
        Constant Field Values

    - #### ILLEGAL_ARRAY_LENGTH

          public static final int ILLEGAL_ARRAY_LENGTH

      Error in low-level CAS APIs: illegal array length specified: {0}.
      See Also:
        Constant Field Values

    - #### INVALID_TYPE_ARGUMENT

          public static final int INVALID_TYPE_ARGUMENT

      Error in low-level CAS APIs: illegal type code argument: {0}.
      See Also:
        Constant Field Values

    - #### NULL_ARRAY_ACCESS

          public static final int NULL_ARRAY_ACCESS

      Error in low-level CAS APIs: attempting to access element {0} of array but array has null value.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LowLevelException

          public LowLevelException(int error)

      Create a new `LowLevelException`
      Parameters:
        `error` - The error code.

  - ### Method Detail

    - #### getError

          public int getError()

      Returns:
        The error code for the exception. This may be useful when the error needs to be handed over language boundaries. Instead of handing over the complete exception object, return the error code, and the receiving application can look up the error in the message file. Unfortunately, the error parameters get lost that way.

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`
      Returns:
        The message of the exception. Useful for including the text in another exception.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Throwable`
      Returns:
        The same as getMessage(), but prefixed with `"LowLevelException: "`.

    - #### addArgument

          public boolean addArgument(String s)

      Add an argument to a `LowLevelException` object. Excess arguments will be ignored, and missing arguments will have the value `null`. Add arguments in the order in which they are specified in the message catalog (i.e. add %1 first, %2 next, and so on). Adding a `null String` has no effect! So if you don't know the value of an argument, use something like `""` or `"UNKNOWN"`, but not `null`.
      Parameters:
        `s` - -
      Returns:
        -

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.